% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(forest,up(mint),1),secondary,col(up_v_mint,3),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_mint,4),maxt,18,1,t([col(up_v_mint,1)],[v],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),3),up,col(up_v_mint,2),mint,18,1,t([col(up_v_mint,1)],[v],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_f_mint,4),maxt,18,2,t([col(up_v_f_mint,1),col(up_v_f_mint,2)],[v,f],[_14813,_14817],if(eq(_14813,_14817),1,_14813)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_f_mint,5),minf,18,2,t([col(up_v_f_mint,1),col(up_v_f_mint,2)],[v,f],[_14813,_14817],if(eq(_14813,_14817),1,_14817)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),3),secondary,col(up_v_f_mint,7),t,18,2,t([col(up_v_f_mint,1),col(up_v_f_mint,2)],[v,f],[_14813,_14817],if(eq(_14813,_14817),_14813,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(mint),4),secondary,col(up_v_f_mint,6),maxf,18,1,t([col(up_v_f_mint,5)],[minf],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),5),up,col(up_v_f_mint,3),mint,18,1,t([col(up_v_f_mint,4)],[maxt],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_maxd_mint,4),maxt,18,2,t([col(up_v_maxd_mint,1),col(up_v_maxd_mint,2)],[v,maxd],[_14813,_14817],if(eq(_14817,0),1,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_maxd_mint,5),t,18,2,t([col(up_v_maxd_mint,1),col(up_v_maxd_mint,2)],[v,maxd],[_14813,_14817],if(eq(_14817,0),_14813,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(mint),3),up,col(up_v_maxd_mint,3),mint,18,1,t([col(up_v_maxd_mint,4)],[maxt],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_maxf_mint,4),minf,18,1,t([col(up_v_maxf_mint,2)],[maxf],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_maxf_mint,5),maxt,18,1,t([col(up_v_maxf_mint,1)],[v],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),3),secondary,col(up_v_maxf_mint,6),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,up(mint),4),secondary,col(up_v_maxf_mint,7),f,18,1,t([col(up_v_maxf_mint,2)],[maxf],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),5),up,col(up_v_maxf_mint,3),mint,18,1,t([col(up_v_maxf_mint,1)],[v],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_maxp_mint,4),t,18,2,t([col(up_v_maxp_mint,1),col(up_v_maxp_mint,2)],[v,maxp],[_14813,_14817],if(eq(_14817,0),_14813,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_maxp_mint,5),maxt,18,2,t([col(up_v_maxp_mint,1),col(up_v_maxp_mint,2)],[v,maxp],[_14813,_14817],if(eq(_14817,0),1,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),3),up,col(up_v_maxp_mint,3),mint,18,1,t([col(up_v_maxp_mint,5)],[maxt],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),1),up,col(up_v_mind_mint,3),mint,18,2,t([col(up_v_mind_mint,1),col(up_v_mind_mint,4)],[v,maxt],[_14813,_14817],if(eq(_14813,_14817),_14813,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_minf_mint,4),maxf,18,1,t([col(up_v_minf_mint,2)],[minf],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_minf_mint,5),f,18,1,t([col(up_v_minf_mint,2)],[minf],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),3),secondary,col(up_v_minf_mint,6),maxt,18,1,t([col(up_v_minf_mint,1)],[v],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),4),secondary,col(up_v_minf_mint,7),t,18,0,t([],[],[],1),cst,[]).
conjecture(id(forest,up(mint),5),up,col(up_v_minf_mint,3),mint,18,1,t([col(up_v_minf_mint,1)],[v],[_14799],polynom([monome([t(_14799,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),1),up,col(up_v_minp_mint,3),mint,18,2,t([col(up_v_minp_mint,1),col(up_v_minp_mint,2)],[v,minp],[_14813,_14817],if(eq(_14817,0),1,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),1),up,col(up_v_t_mint,3),mint,18,1,t([col(up_v_t_mint,1),col(up_v_t_mint,2)],[v,t],[_14817,_14821],polynom([monome([t(floor(_14817,_14821),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(mint),1),up,col(up_v_f_maxp_mint,4),mint,13,4,t([col(up_v_f_maxp_mint,1),col(up_v_f_maxp_mint,2),col(up_v_f_maxp_mint,5)],[v,f,minf],[_14831,_14835,_14839],floor(polynom([monome([t(_14831,1),t(_14839,1)],1),monome([t(_14835,1)],1),monome([],-1)]),polynom([monome([t(_14835,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(mint),2),up,col(up_v_f_maxp_mint,4),mint,13,3,t([col(up_v_f_maxp_mint,1),col(up_v_f_maxp_mint,3),col(up_v_f_maxp_mint,5)],[v,maxp,minf],[_14831,_14835,_14839],min(polynom([monome([t(_14835,1),t(_14839,1)],1),monome([],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_f_mind_mint,5),maxt,18,3,t([col(up_v_f_mind_mint,1),col(up_v_f_mind_mint,2),col(up_v_f_mind_mint,3)],[v,f,mind],[_14831,_14835,_14839],if(leq(minus(_14831,_14835),1),plus(_14839,1),_14831)),cond,[cond(binary_term_leq_coef([minus],coef(0,3))),then(unary_term([plus(1,3)])),else(attr)]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_f_mind_mint,6),maxf,18,3,t([col(up_v_f_mind_mint,1),col(up_v_f_mind_mint,2),col(up_v_f_mind_mint,3)],[v,f,mind],[_14831,_14835,_14839],if(leq(minus(_14831,_14835),1),max(_14839,1),_14835)),cond,[cond(binary_term_leq_coef([minus],coef(0,3))),then(unary_term([min(-3,3),max(-3,3)])),else(attr)]).
conjecture(id(forest,up(mint),3),secondary,col(up_v_f_mind_mint,7),t,18,3,t([col(up_v_f_mind_mint,1),col(up_v_f_mind_mint,5)],[v,maxt],[_14817,_14821],polynom([monome([t(_14821,1)],-1),monome([t(_14817,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(mint),4),secondary,col(up_v_f_mind_mint,8),minf,18,2,t([col(up_v_f_mind_mint,2),col(up_v_f_mind_mint,5)],[f,maxt],[_14817,_14821],if(leq(_14821,_14817),1,_14817)),cond,[cond(attr_leq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),5),up,col(up_v_f_mind_mint,4),mint,18,2,t([col(up_v_f_mind_mint,1),col(up_v_f_mind_mint,5)],[v,maxt],[_14817,_14821],if(eq(_14817,_14821),_14817,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_f_minp_mint,5),minf,11,2,t([col(up_v_f_minp_mint,2),col(up_v_f_minp_mint,3)],[f,minp],[_14817,_14821],if(eq(_14821,0),1,_14817)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),2),up,col(up_v_f_minp_mint,4),mint,11,2,t([col(up_v_f_minp_mint,1),col(up_v_f_minp_mint,3)],[v,minp],[_14817,_14821],if(eq(_14821,0),1,_14817)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_maxf_maxd_mint,5),t,18,2,t([col(up_v_maxf_maxd_mint,1),col(up_v_maxf_maxd_mint,3)],[v,maxd],[_14817,_14821],if(eq(_14821,0),_14817,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(mint),2),secondary,col(up_v_maxf_maxd_mint,6),minf,18,1,t([col(up_v_maxf_maxd_mint,2)],[maxf],[_14803],polynom([monome([t(_14803,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),3),secondary,col(up_v_maxf_maxd_mint,7),maxt,18,2,t([col(up_v_maxf_maxd_mint,1),col(up_v_maxf_maxd_mint,3)],[v,maxd],[_14817,_14821],if(eq(_14821,0),1,_14817)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),4),secondary,col(up_v_maxf_maxd_mint,8),f,18,2,t([col(up_v_maxf_maxd_mint,1),col(up_v_maxf_maxd_mint,2),col(up_v_maxf_maxd_mint,3)],[v,maxf,maxd],[_14831,_14835,_14839],if(eq(_14839,0),_14831,_14835)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(attr)]).
conjecture(id(forest,up(mint),5),up,col(up_v_maxf_maxd_mint,4),mint,18,1,t([col(up_v_maxf_maxd_mint,7)],[maxt],[_14803],polynom([monome([t(_14803,1)],1)])),formula,[]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_maxf_minp_mint,5),minf,11,2,t([col(up_v_maxf_minp_mint,2),col(up_v_maxf_minp_mint,3)],[maxf,minp],[_14817,_14821],if(eq(_14821,0),1,_14817)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),2),up,col(up_v_maxf_minp_mint,4),mint,11,3,t([col(up_v_maxf_minp_mint,1),col(up_v_maxf_minp_mint,3),col(up_v_maxf_minp_mint,5)],[v,minp,minf],[_14831,_14835,_14839],if(eq(_14839,1),plus(_14835,1),_14831)),cond,[cond(attr_eq_coef(coef(-3,3))),then(unary_term([plus(1,3)])),else(attr)]).
conjecture(id(forest,up(mint),1),up,col(up_v_mind_minp_mint,4),mint,13,2,t([col(up_v_mind_minp_mint,1),col(up_v_mind_minp_mint,3)],[v,minp],[_14817,_14821],if(eq(_14821,0),1,_14817)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),1),up,col(up_v_minf_maxd_mint,4),mint,17,3,t([col(up_v_minf_maxd_mint,1),col(up_v_minf_maxd_mint,5)],[v,maxt],[_14817,_14821],if(eq(ceil(_14817,_14821),2),minus(_14817,_14821),_14821)),cond,[cond(binary_term_eq_coef([ceil],coef(0,3))),then(binary_term([minus])),else(attr)]).
conjecture(id(forest,up(mint),2),up,col(up_v_minf_maxd_mint,4),mint,17,1,t([col(up_v_minf_maxd_mint,1),col(up_v_minf_maxd_mint,5)],[v,maxt],[_14817,_14821],polynom([monome([t(fmod(_14817,_14821),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(mint),1),secondary,col(up_v_minf_maxf_mint,5),t,18,5,t([col(up_v_minf_maxf_mint,2),col(up_v_minf_maxf_mint,3)],[minf,maxf],[_14817,_14821],bool(0,1,and,1,[geq(minus(_14821,_14817),1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,up(mint),1),up,col(up_v_minp_maxp_mint,4),mint,11,2,t([col(up_v_minp_maxp_mint,1),col(up_v_minp_maxp_mint,2)],[v,minp],[_14817,_14821],if(eq(_14821,0),1,_14817)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(mint),1),up,col(up_v_t_minf_mint,4),mint,14,1,t([col(up_v_t_minf_mint,1),col(up_v_t_minf_mint,2)],[v,t],[_14817,_14821],polynom([monome([t(floor(_14817,_14821),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(mint),1),up,col(up_v_t_minp_mint,4),mint,13,3,t([col(up_v_t_minp_mint,1),col(up_v_t_minp_mint,2),col(up_v_t_minp_mint,3)],[v,t,minp],[_14817,_14821,_14825],if(eq(_14825,0),1,floor(_14817,_14821))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([floor]))]).

missing(up_v_maxt_mint,up,mint).
missing(up_v_mind_mint,col,maxt).
missing(up_v_mind_mint,col,t).
missing(up_v_mind_mint,up,mint).
missing(up_v_f_maxd_mint,up,mint).
missing(up_v_f_maxf_mint,up,mint).
missing(up_v_f_maxp_mint,col,minf).
missing(up_v_f_maxp_mint,up,mint).
missing(up_v_f_maxt_mint,up,mint).
missing(up_v_f_minf_mint,up,mint).
missing(up_v_f_minp_mint,up,mint).
missing(up_v_maxd_maxp_mint,up,mint).
missing(up_v_maxd_maxt_mint,up,mint).
missing(up_v_maxd_minp_mint,up,mint).
missing(up_v_maxf_maxp_mint,up,mint).
missing(up_v_maxf_maxt_mint,up,mint).
missing(up_v_maxf_mind_mint,up,mint).
missing(up_v_maxp_maxt_mint,up,mint).
missing(up_v_mind_maxd_mint,up,mint).
missing(up_v_mind_maxp_mint,up,mint).
missing(up_v_mind_maxt_mint,up,mint).
missing(up_v_minf_maxd_mint,col,maxt).
missing(up_v_minf_maxd_mint,col,t).
missing(up_v_minf_maxd_mint,up,mint).
missing(up_v_minf_maxp_mint,up,mint).
missing(up_v_minf_maxt_mint,up,mint).
missing(up_v_minf_mind_mint,up,mint).
missing(up_v_minf_minp_mint,up,mint).
missing(up_v_minp_maxt_mint,up,mint).
missing(up_v_t_f_mint,up,mint).
missing(up_v_t_maxd_mint,up,mint).
missing(up_v_t_maxf_mint,up,mint).
missing(up_v_t_maxp_mint,up,mint).
missing(up_v_t_maxt_mint,up,mint).
missing(up_v_t_mind_mint,up,mint).
