% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(graph,up(mins),1),secondary,col(up_maxc_mins,3),minc,26,1,t([col(up_maxc_mins,1)],[maxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),2),secondary,col(up_maxc_mins,4),maxs,26,1,t([col(up_maxc_mins,1)],[maxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),3),secondary,col(up_maxc_mins,5),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(mins),4),secondary,col(up_maxc_mins,6),midc,26,1,t([col(up_maxc_mins,5)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),5),secondary,col(up_maxc_mins,7),rminc,26,1,t([col(up_maxc_mins,5)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),6),secondary,col(up_maxc_mins,8),omidc,26,1,t([col(up_maxc_mins,5)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),7),secondary,col(up_maxc_mins,9),oc23,26,1,t([col(up_maxc_mins,5)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),8),up,col(up_maxc_mins,2),mins,26,1,t([col(up_maxc_mins,1)],[maxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),up,col(up_maxs_mins,2),mins,26,1,t([col(up_maxs_mins,1)],[maxs],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),secondary,col(up_v_mins,3),c,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(mins),2),secondary,col(up_v_mins,4),minc,26,1,t([col(up_v_mins,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),3),secondary,col(up_v_mins,5),maxc,26,1,t([col(up_v_mins,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),4),secondary,col(up_v_mins,7),maxs,26,1,t([col(up_v_mins,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),5),secondary,col(up_v_mins,8),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(mins),6),secondary,col(up_v_mins,14),oc,26,3,t([col(up_v_mins,1)],[v],[_14791],bool(0,0,and,1,[geq(_14791,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(mins),7),secondary,col(up_v_mins,14),oc,26,1,t([col(up_v_mins,1)],[v],[_14791],bool(1,0,and,1,[eq(_14791,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(mins),8),secondary,col(up_v_mins,6),s,26,1,t([col(up_v_mins,3)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),9),secondary,col(up_v_mins,9),midc,26,1,t([col(up_v_mins,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),10),secondary,col(up_v_mins,10),rminc,26,1,t([col(up_v_mins,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),11),secondary,col(up_v_mins,11),ominc,26,1,t([col(up_v_mins,3)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),12),secondary,col(up_v_mins,12),omaxc,26,1,t([col(up_v_mins,3)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),13),secondary,col(up_v_mins,13),omidc,26,1,t([col(up_v_mins,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),14),secondary,col(up_v_mins,15),oc23,26,1,t([col(up_v_mins,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),15),secondary,col(up_v_mins,16),omins,26,1,t([col(up_v_mins,3)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),16),secondary,col(up_v_mins,17),omaxs,26,1,t([col(up_v_mins,3)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),17),secondary,col(up_v_mins,18),os,26,1,t([col(up_v_mins,14)],[oc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),18),up,col(up_v_mins,2),mins,26,1,t([col(up_v_mins,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),secondary,col(up_c_maxc_mins,4),minc,26,1,t([col(up_c_maxc_mins,2)],[maxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),2),secondary,col(up_c_maxc_mins,5),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(mins),3),up,col(up_c_maxc_mins,3),mins,26,1,t([col(up_c_maxc_mins,2)],[maxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),secondary,col(up_minc_maxc_mins,4),minmaxc,26,2,t([col(up_minc_maxc_mins,1),col(up_minc_maxc_mins,2)],[minc,maxc],[_14805,_14809],if(eq(_14805,_14809),0,_14805)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(mins),2),up,col(up_minc_maxc_mins,3),mins,26,1,t([col(up_minc_maxc_mins,1)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),up,col(up_s_maxs_mins,3),mins,26,1,t([col(up_s_maxs_mins,2)],[maxs],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),secondary,col(up_v_c_mins,4),minc,20,1,t([col(up_v_c_mins,1),col(up_v_c_mins,2)],[v,c],[_14805,_14809],polynom([monome([t(floor(_14805,_14809),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(mins),2),secondary,col(up_v_c_mins,5),minmaxc,20,3,t([col(up_v_c_mins,1),col(up_v_c_mins,2)],[v,c],[_14805,_14809],if(eq(_14805 mod _14809,0),0,floor(_14805,_14809))),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(binary_term([floor]))]).
conjecture(id(graph,up(mins),3),secondary,col(up_v_c_mins,6),rminc,20,1,t([col(up_v_c_mins,1),col(up_v_c_mins,2)],[v,c],[_14805,_14809],polynom([monome([t(_14805 mod _14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(mins),4),up,col(up_v_c_mins,3),mins,20,1,t([col(up_v_c_mins,4)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),up,col(up_v_maxc_mins,3),mins,20,2,t([col(up_v_maxc_mins,2),col(up_v_maxc_mins,5)],[maxc,minmaxc],[_14805,_14809],if(eq(_14809,0),_14805,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(attr)]).
conjecture(id(graph,up(mins),1),up,col(up_v_minc_mins,3),mins,26,1,t([col(up_v_minc_mins,2)],[minc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),up,col(up_v_s_mins,3),mins,20,1,t([col(up_v_s_mins,1),col(up_v_s_mins,2)],[v,s],[_14809,_14813],polynom([monome([t(floor(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(mins),1),secondary,col(up_c_minc_maxc_mins,5),minmaxc,24,2,t([col(up_c_minc_maxc_mins,2),col(up_c_minc_maxc_mins,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(mins),2),up,col(up_c_minc_maxc_mins,4),mins,24,1,t([col(up_c_minc_maxc_mins,2)],[minc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),up,col(up_c_s_maxs_mins,4),mins,16,1,t([col(up_c_s_maxs_mins,3)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),up,col(up_v_c_maxc_mins,4),mins,20,2,t([col(up_v_c_maxc_mins,3),col(up_v_c_maxc_mins,6)],[maxc,minmaxc],[_14809,_14813],if(eq(_14813,0),_14809,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(attr)]).
conjecture(id(graph,up(mins),1),secondary,col(up_v_c_minc_mins,6),rminc,15,2,t([col(up_v_c_minc_mins,1),col(up_v_c_minc_mins,2),col(up_v_c_minc_mins,3)],[v,c,minc],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(mins),2),secondary,col(up_v_c_minc_mins,5),minmaxc,15,2,t([col(up_v_c_minc_mins,3),col(up_v_c_minc_mins,6)],[minc,rminc],[_14809,_14813],if(eq(_14813,0),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(mins),3),up,col(up_v_c_minc_mins,4),mins,15,1,t([col(up_v_c_minc_mins,3)],[minc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(mins),1),up,col(up_v_c_s_mins,4),mins,10,1,t([col(up_v_c_s_mins,1),col(up_v_c_s_mins,3)],[v,s],[_14809,_14813],polynom([monome([t(floor(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(mins),1),secondary,col(up_v_minc_maxc_mins,5),minmaxc,14,2,t([col(up_v_minc_maxc_mins,2),col(up_v_minc_maxc_mins,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(mins),2),up,col(up_v_minc_maxc_mins,4),mins,14,1,t([col(up_v_minc_maxc_mins,2)],[minc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).

missing(up_v_maxc_mins,col,minc).
missing(up_v_maxc_mins,col,minmaxc).
missing(up_v_maxc_mins,up,mins).
missing(up_v_maxs_mins,up,mins).
missing(up_c_maxc_maxs_mins,up,mins).
missing(up_c_maxc_s_mins,up,mins).
missing(up_maxc_s_maxs_mins,up,mins).
missing(up_minc_s_maxs_mins,up,mins).
missing(up_v_c_maxc_mins,col,minc).
missing(up_v_c_maxc_mins,col,minmaxc).
missing(up_v_c_maxc_mins,col,rminc).
missing(up_v_c_maxc_mins,up,mins).
missing(up_v_c_maxs_mins,up,mins).
missing(up_v_maxc_maxs_mins,up,mins).
missing(up_v_maxc_s_mins,up,mins).
missing(up_v_minc_maxs_mins,up,mins).
missing(up_v_minc_s_mins,up,mins).
missing(up_v_s_maxs_mins,up,mins).
