% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition,low(max),1),secondary,col(low_n_max,3),nval,30,1,t([col(low_n_max,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),2),secondary,col(low_n_max,4),min,30,0,t([],[],[],1),cst,[]).
conjecture(id(partition,low(max),3),secondary,col(low_n_max,5),range,30,0,t([],[],[],0),cst,[]).
conjecture(id(partition,low(max),4),secondary,col(low_n_max,6),sum_squares,30,1,t([col(low_n_max,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),5),secondary,col(low_n_max,10),omin,30,1,t([col(low_n_max,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),6),secondary,col(low_n_max,11),omax,30,1,t([col(low_n_max,1)],[n],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),7),secondary,col(low_n_max,7),minmax,30,1,t([col(low_n_max,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),8),secondary,col(low_n_max,8),mid,30,1,t([col(low_n_max,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),9),secondary,col(low_n_max,9),rmin,30,1,t([col(low_n_max,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),10),secondary,col(low_n_max,12),omid,30,1,t([col(low_n_max,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),11),secondary,col(low_n_max,13),oc,30,1,t([col(low_n_max,5)],[range],[_14781],polynom([monome([t(_14781,1)],1)])),formula,[]).
conjecture(id(partition,low(max),12),low,col(low_n_max,2),max,30,0,t([],[],[],1),cst,[]).
conjecture(id(partition,low(max),1),secondary,col(low_n_min_max,5),minmax,27,2,t([col(low_n_min_max,1),col(low_n_min_max,2)],[n,min],[_14813,_14817],if(eq(_14813 mod _14817,0),0,_14817)),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(partition,low(max),2),low,col(low_n_min_max,3),max,27,2,t([col(low_n_min_max,2),col(low_n_min_max,4)],[min,range],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),1),low,col(low_n_nval_max,3),max,20,1,t([col(low_n_nval_max,1),col(low_n_nval_max,2)],[n,nval],[_14813,_14817],polynom([monome([t(ceil(_14813,_14817),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),1),secondary,col(low_n_range_max,4),min,21,0,t([],[],[],1),cst,[]).
conjecture(id(partition,low(max),2),secondary,col(low_n_range_max,5),minmax,21,2,t([col(low_n_range_max,2)],[range],[_14799],bool(0,0,and,1,[geq(_14799,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition,low(max),3),secondary,col(low_n_range_max,5),minmax,21,0,t([col(low_n_range_max,2)],[range],[_14799],bool(1,0,and,1,[eq(_14799,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition,low(max),4),low,col(low_n_range_max,3),max,21,2,t([col(low_n_range_max,2)],[range],[_14799],polynom([monome([t(_14799,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),1),secondary,col(low_n_min_range_max,5),minmax,14,2,t([col(low_n_min_range_max,2),col(low_n_min_range_max,3)],[min,range],[_14813,_14817],if(eq(_14817,0),0,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(partition,low(max),2),low,col(low_n_min_range_max,4),max,14,2,t([col(low_n_min_range_max,2),col(low_n_min_range_max,3)],[min,range],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),1),secondary,col(low_n_min_sum_squares_max,6),minmax,12,3,t([col(low_n_min_sum_squares_max,1),col(low_n_min_sum_squares_max,2),col(low_n_min_sum_squares_max,3)],[n,min,sum_squares],[_14827,_14831,_14835],min(polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14835,1)],1)]),polynom([monome([t(_14831,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),2),low,col(low_n_min_sum_squares_max,4),max,12,2,t([col(low_n_min_sum_squares_max,2),col(low_n_min_sum_squares_max,5)],[min,range],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),1),secondary,col(low_n_nval_min_max,7),rmin,15,2,t([col(low_n_nval_min_max,1),col(low_n_nval_min_max,2),col(low_n_nval_min_max,3)],[n,nval,min],[_14827,_14831,_14835],polynom([monome([t(_14831,1),t(_14835,1)],-1),monome([t(_14827,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),2),secondary,col(low_n_nval_min_max,5),range,15,4,t([col(low_n_nval_min_max,2),col(low_n_nval_min_max,7)],[nval,rmin],[_14813,_14817],ceil(polynom([monome([t(_14817,1)],1)]),polynom([monome([t(min(_14817,1),1)],-1),monome([t(_14813,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),3),secondary,col(low_n_nval_min_max,6),minmax,15,2,t([col(low_n_nval_min_max,3),col(low_n_nval_min_max,7)],[min,rmin],[_14813,_14817],if(eq(_14817,0),0,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(partition,low(max),4),low,col(low_n_nval_min_max,4),max,15,2,t([col(low_n_nval_min_max,3),col(low_n_nval_min_max,5)],[min,range],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),1),low,col(low_n_nval_range_max,4),max,12,2,t([col(low_n_nval_range_max,3),col(low_n_nval_range_max,5)],[range,min],[_14813,_14817],polynom([monome([t(_14817,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition,low(max),1),low,col(low_n_range_sum_squares_max,4),max,12,2,t([col(low_n_range_sum_squares_max,2),col(low_n_range_sum_squares_max,5)],[range,min],[_14803,_14807],polynom([monome([t(_14807,1)],1),monome([t(_14803,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).

missing(low_n_min_max,col,range).
missing(low_n_min_max,low,max).
missing(low_n_range_max,low,max).
missing(low_n_sum_squares_max,low,max).
missing(low_n_min_range_max,low,max).
missing(low_n_min_sum_squares_max,col,range).
missing(low_n_min_sum_squares_max,low,max).
missing(low_n_nval_range_max,col,min).
missing(low_n_nval_range_max,col,minmax).
missing(low_n_nval_range_max,col,rmin).
missing(low_n_nval_range_max,low,max).
missing(low_n_nval_sum_squares_max,low,max).
missing(low_n_range_sum_squares_max,col,min).
missing(low_n_range_sum_squares_max,col,minmax).
missing(low_n_range_sum_squares_max,low,max).
