% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(graph,up(v),1),up,col(up_c_maxc_v,3),v,26,1,t([col(up_c_maxc_v,1),col(up_c_maxc_v,2)],[c,maxc],[_14735,_14739],polynom([monome([t(_14735,1),t(_14739,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_maxc_s_v,3),v,26,1,t([col(up_maxc_s_v,1),col(up_maxc_s_v,2)],[maxc,s],[_14753,_14757],polynom([monome([t(_14753,1),t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_s_maxs_v,3),v,26,1,t([col(up_s_maxs_v,1),col(up_s_maxs_v,2)],[s,maxs],[_14753,_14757],polynom([monome([t(_14753,1),t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_c_maxc_maxs_v,4),v,16,1,t([col(up_c_maxc_maxs_v,1),col(up_c_maxc_maxs_v,2)],[c,maxc],[_14753,_14757],polynom([monome([t(_14753,1),t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_c_maxc_mins_v,4),v,18,4,t([col(up_c_maxc_mins_v,1),col(up_c_maxc_mins_v,2),col(up_c_maxc_mins_v,3)],[c,maxc,mins],[_14767,_14771,_14775],if(leq(prod(2,_14775),_14771),prod(_14767,_14771),polynom([monome([t(_14767,1),t(_14771,1)],1),monome([t(_14775,1)],1),monome([t(_14771,1)],-1)]))),decomp,[decomp([decomp,[decomp([families([cond_template([cond(7),then(5)]),else(formula)]),decomp(if(cond(7),then(5),else([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])])))])]])]).
conjecture(id(graph,up(v),1),up,col(up_c_maxc_s_v,4),v,14,1,t([col(up_c_maxc_s_v,1),col(up_c_maxc_s_v,2)],[c,maxc],[_14753,_14757],polynom([monome([t(_14753,1),t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),secondary,col(up_c_minc_maxc_v,5),minmaxc,24,2,t([col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,3)],[minc,maxc],[_14753,_14757],if(eq(_14753,_14757),0,_14753)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(v),2),secondary,col(up_c_minc_maxc_v,6),rminc,24,4,t([col(up_c_minc_maxc_v,1),col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,3)],[c,minc,maxc],[_14767,_14771,_14775],prod(minus(_14767,1),polynom([monome([t(_14775,1)],1),monome([t(_14771,1)],-1)]))),decomp,[decomp([families([unary_template([binary(2),unary(0)]),rest(formula)]),decomp(binary_op(prod),[unary_template(minus(_14767,1)),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(graph,up(v),3),up,col(up_c_minc_maxc_v,4),v,24,3,t([col(up_c_minc_maxc_v,1),col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,3)],[c,minc,maxc],[_14767,_14771,_14775],polynom([monome([t(_14767,1),t(_14775,1)],1),monome([t(_14775,1)],-1),monome([t(_14771,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),4),up,col(up_c_minc_maxc_v,4),v,24,2,t([col(up_c_minc_maxc_v,1),col(up_c_minc_maxc_v,2),col(up_c_minc_maxc_v,6)],[c,minc,rminc],[_14767,_14771,_14775],polynom([monome([t(_14767,1),t(_14771,1)],1),monome([t(_14775,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_c_s_maxs_v,4),v,16,1,t([col(up_c_s_maxs_v,2),col(up_c_s_maxs_v,3)],[s,maxs],[_14753,_14757],polynom([monome([t(_14753,1),t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_maxc_s_maxs_v,4),v,14,6,t([col(up_maxc_s_maxs_v,1),col(up_maxc_s_maxs_v,2),col(up_maxc_s_maxs_v,3)],[maxc,s,maxs],[_14767,_14771,_14775],if(eq(_14767 mod _14775,0),prod(_14771,_14775),polynom([monome([t(_14771,1),t(_14775,1)],1),monome([t(cmod(_14775,_14767),1)],-1)]))),decomp,[decomp([families([cond_template([cond(5),then(5)]),else(decomp)]),decomp(if(cond(5),then(5),else([decomp([formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]])])))])]).
conjecture(id(graph,up(v),2),up,col(up_maxc_s_maxs_v,4),v,14,3,t([col(up_maxc_s_maxs_v,1),col(up_maxc_s_maxs_v,2),col(up_maxc_s_maxs_v,3)],[maxc,s,maxs],[_14767,_14771,_14775],polynom([monome([t(_14775,1),t(ceil(_14767,_14775),1)],-1),monome([t(_14771,1),t(_14775,1)],1),monome([t(_14767,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_maxc_s_mins_v,4),v,24,3,t([col(up_maxc_s_mins_v,1),col(up_maxc_s_mins_v,2),col(up_maxc_s_mins_v,3)],[maxc,s,mins],[_14771,_14775,_14779],polynom([monome([t(_14771,1),t(_14775,1)],1),monome([t(_14779,1)],1),monome([t(_14771,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),secondary,col(up_minc_maxc_s_v,5),minmaxc,24,2,t([col(up_minc_maxc_s_v,1),col(up_minc_maxc_s_v,2)],[minc,maxc],[_14757,_14761],if(eq(_14757,_14761),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(v),2),up,col(up_minc_maxc_s_v,4),v,24,3,t([col(up_minc_maxc_s_v,1),col(up_minc_maxc_s_v,2),col(up_minc_maxc_s_v,3)],[minc,maxc,s],[_14771,_14775,_14779],polynom([monome([t(_14775,1),t(_14779,1)],1),monome([t(_14775,1)],-1),monome([t(_14771,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(v),1),up,col(up_s_mins_maxs_v,4),v,24,3,t([col(up_s_mins_maxs_v,1),col(up_s_mins_maxs_v,2),col(up_s_mins_maxs_v,3)],[s,mins,maxs],[_14757,_14761,_14765],polynom([monome([t(_14757,1),t(_14765,1)],1),monome([t(_14765,1)],-1),monome([t(_14761,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).

missing(up_minc_maxc_s_v,up,v).
missing(up_minc_s_maxs_v,up,v).
