% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(graph,up(s),1),secondary,col(up_v_s,3),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),2),secondary,col(up_v_s,5),omins,26,1,t([col(up_v_s,1)],[v],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(s),3),secondary,col(up_v_s,6),omaxs,26,1,t([col(up_v_s,1)],[v],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(s),4),secondary,col(up_v_s,7),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),5),secondary,col(up_v_s,4),maxs,26,1,t([col(up_v_s,3)],[mins],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(s),6),up,col(up_v_s,2),s,26,1,t([col(up_v_s,1)],[v],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_c_maxc_s,4),v,26,1,t([col(up_c_maxc_s,1),col(up_c_maxc_s,2)],[c,maxc],[_14805,_14809],polynom([monome([t(_14805,1),t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),2),secondary,col(up_c_maxc_s,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),3),secondary,col(up_c_maxc_s,9),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),4),secondary,col(up_c_maxc_s,6),maxs,26,1,t([col(up_c_maxc_s,5)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),5),secondary,col(up_c_maxc_s,7),omins,26,1,t([col(up_c_maxc_s,4)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),6),secondary,col(up_c_maxc_s,8),omaxs,26,1,t([col(up_c_maxc_s,4)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),7),up,col(up_c_maxc_s,3),s,26,1,t([col(up_c_maxc_s,4)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_c_s,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),2),secondary,col(up_v_c_s,6),omins,26,1,t([col(up_v_c_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),3),secondary,col(up_v_c_s,7),omaxs,26,1,t([col(up_v_c_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),4),secondary,col(up_v_c_s,8),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),5),secondary,col(up_v_c_s,5),maxs,26,1,t([col(up_v_c_s,4)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),6),up,col(up_v_c_s,3),s,26,1,t([col(up_v_c_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_maxc_s,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),2),secondary,col(up_v_maxc_s,6),omins,26,1,t([col(up_v_maxc_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),3),secondary,col(up_v_maxc_s,7),omaxs,26,1,t([col(up_v_maxc_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),4),secondary,col(up_v_maxc_s,8),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),5),secondary,col(up_v_maxc_s,5),maxs,26,1,t([col(up_v_maxc_s,4)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),6),up,col(up_v_maxc_s,3),s,26,1,t([col(up_v_maxc_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_maxs_s,4),mins,26,2,t([col(up_v_maxs_s,1),col(up_v_maxs_s,2)],[v,maxs],[_14805,_14809],if(eq(_14805,_14809),_14805,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),2),secondary,col(up_v_maxs_s,5),omins,26,9,t([col(up_v_maxs_s,1),col(up_v_maxs_s,2)],[v,maxs],[_14805,_14809],max(polynom([monome([t(max(_14809,2),1)],-1),monome([t(_14809,1)],1),monome([],1)]),polynom([monome([t(max(_14809,2),1)],1),monome([t(_14809,1)],-2),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),3),secondary,col(up_v_maxs_s,5),omins,26,6,t([col(up_v_maxs_s,1),col(up_v_maxs_s,2)],[v,maxs],[_14805,_14809],max(polynom([monome([t(in(_14809,1,1),1)],-1),monome([],1)]),polynom([monome([t(in(_14809,1,1),1)],1),monome([t(_14809,1)],-1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),4),secondary,col(up_v_maxs_s,5),omins,26,5,t([col(up_v_maxs_s,1),col(up_v_maxs_s,2)],[v,maxs],[_14805,_14809],max(polynom([monome([t(in(_14809,1,1),1)],1),monome([t(_14809,1)],-1),monome([t(_14805,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),5),secondary,col(up_v_maxs_s,6),omaxs,26,2,t([col(up_v_maxs_s,1),col(up_v_maxs_s,2)],[v,maxs],[_14805,_14809],if(eq(_14809,1),_14805,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),6),secondary,col(up_v_maxs_s,7),os,26,3,t([col(up_v_maxs_s,2)],[maxs],[_14791],bool(0,0,and,1,[geq(_14791,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),7),secondary,col(up_v_maxs_s,7),os,26,1,t([col(up_v_maxs_s,2)],[maxs],[_14791],bool(1,0,and,1,[eq(_14791,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),8),up,col(up_v_maxs_s,3),s,26,3,t([col(up_v_maxs_s,1),col(up_v_maxs_s,2)],[v,maxs],[_14805,_14809],polynom([monome([t(_14809,1)],-1),monome([t(_14805,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),9),up,col(up_v_maxs_s,3),s,26,3,t([col(up_v_maxs_s,1),col(up_v_maxs_s,2),col(up_v_maxs_s,4)],[v,maxs,mins],[_14819,_14823,_14827],polynom([monome([t(_14823,1),t(_14827,1)],-1),monome([t(_14819,1),t(_14827,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),secondary,col(up_v_minc_s,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),2),secondary,col(up_v_minc_s,6),omins,26,1,t([col(up_v_minc_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),3),secondary,col(up_v_minc_s,7),omaxs,26,1,t([col(up_v_minc_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),4),secondary,col(up_v_minc_s,8),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),5),secondary,col(up_v_minc_s,5),maxs,26,1,t([col(up_v_minc_s,4)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),6),up,col(up_v_minc_s,3),s,26,1,t([col(up_v_minc_s,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_mins_s,4),os,26,3,t([col(up_v_mins_s,1),col(up_v_mins_s,2)],[v,mins],[_14805,_14809],if(eq(_14809,1),0,floor(_14805,_14809))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([floor]))]).
conjecture(id(graph,up(s),2),up,col(up_v_mins_s,3),s,26,1,t([col(up_v_mins_s,1),col(up_v_mins_s,2)],[v,mins],[_14805,_14809],polynom([monome([t(floor(_14805,_14809),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),secondary,col(up_c_maxc_maxs_s,5),v,26,1,t([col(up_c_maxc_maxs_s,1),col(up_c_maxc_maxs_s,2)],[c,maxc],[_14805,_14809],polynom([monome([t(_14805,1),t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),2),secondary,col(up_c_maxc_maxs_s,6),mins,26,4,t([col(up_c_maxc_maxs_s,1),col(up_c_maxc_maxs_s,2),col(up_c_maxc_maxs_s,3)],[c,maxc,maxs],[_14819,_14823,_14827],if(eq(linear(_14827,_14819,_14823,-1),1),_14823,1)),cond,[cond(linear_eq_coef(cst(-3,3),coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),3),secondary,col(up_c_maxc_maxs_s,6),mins,26,3,t([col(up_c_maxc_maxs_s,1),col(up_c_maxc_maxs_s,2),col(up_c_maxc_maxs_s,3)],[c,maxc,maxs],[_14819,_14823,_14827],if(bool(0,0,and,2,[eq(_14823,_14827),eq(_14819,1)]),_14827,1)),cond_ex,[cond_ex([then(attr),else(coef(-3,3)),bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])])]).
conjecture(id(graph,up(s),4),secondary,col(up_c_maxc_maxs_s,8),omaxs,26,3,t([col(up_c_maxc_maxs_s,1),col(up_c_maxc_maxs_s,2),col(up_c_maxc_maxs_s,3)],[c,maxc,maxs],[_14819,_14823,_14827],if(eq(_14827,1),prod(_14819,_14823),1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(binary_term([prod])),else(coef(-3,3))]).
conjecture(id(graph,up(s),5),secondary,col(up_c_maxc_maxs_s,9),os,26,3,t([col(up_c_maxc_maxs_s,3)],[maxs],[_14791],bool(0,0,and,1,[geq(_14791,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),6),secondary,col(up_c_maxc_maxs_s,9),os,26,1,t([col(up_c_maxc_maxs_s,3)],[maxs],[_14791],bool(1,0,and,1,[eq(_14791,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),7),secondary,col(up_c_maxc_maxs_s,8),omaxs,26,2,t([col(up_c_maxc_maxs_s,3),col(up_c_maxc_maxs_s,5)],[maxs,v],[_14805,_14809],if(eq(_14805,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),8),secondary,col(up_c_maxc_maxs_s,7),omins,26,9,t([col(up_c_maxc_maxs_s,3),col(up_c_maxc_maxs_s,5)],[maxs,v],[_14805,_14809],max(polynom([monome([t(max(_14805,2),1)],-1),monome([t(_14805,1)],1),monome([],1)]),polynom([monome([t(max(_14805,2),1)],1),monome([t(_14809,1)],1),monome([t(_14805,1)],-2)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),9),secondary,col(up_c_maxc_maxs_s,7),omins,26,6,t([col(up_c_maxc_maxs_s,3),col(up_c_maxc_maxs_s,5)],[maxs,v],[_14805,_14809],max(polynom([monome([t(in(_14805,1,1),1)],-1),monome([],1)]),polynom([monome([t(in(_14805,1,1),1)],1),monome([t(_14809,1)],1),monome([t(_14805,1)],-1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),10),secondary,col(up_c_maxc_maxs_s,7),omins,26,5,t([col(up_c_maxc_maxs_s,3),col(up_c_maxc_maxs_s,5)],[maxs,v],[_14805,_14809],max(polynom([monome([t(in(_14805,1,1),1)],1),monome([t(_14809,1)],1),monome([t(_14805,1)],-1)]),1)),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),11),up,col(up_c_maxc_maxs_s,4),s,26,3,t([col(up_c_maxc_maxs_s,1),col(up_c_maxc_maxs_s,2),col(up_c_maxc_maxs_s,3)],[c,maxc,maxs],[_14819,_14823,_14827],polynom([monome([t(_14819,1),t(_14823,1)],1),monome([t(_14827,1)],-1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),12),up,col(up_c_maxc_maxs_s,4),s,26,3,t([col(up_c_maxc_maxs_s,3),col(up_c_maxc_maxs_s,5)],[maxs,v],[_14805,_14809],polynom([monome([t(_14809,1)],1),monome([t(_14805,1)],-1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),up,col(up_c_maxc_mins_s,4),s,18,1,t([col(up_c_maxc_mins_s,1),col(up_c_maxc_mins_s,2),col(up_c_maxc_mins_s,3)],[c,maxc,mins],[_14819,_14823,_14827],polynom([monome([t(_14819,1),t(floor(_14823,_14827),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),secondary,col(up_c_minc_maxc_s,5),v,26,3,t([col(up_c_minc_maxc_s,1),col(up_c_minc_maxc_s,2),col(up_c_minc_maxc_s,3)],[c,minc,maxc],[_14823,_14827,_14831],polynom([monome([t(_14823,1),t(_14831,1)],1),monome([t(_14831,1)],-1),monome([t(_14827,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),2),secondary,col(up_c_minc_maxc_s,6),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),3),secondary,col(up_c_minc_maxc_s,8),minmaxc,26,2,t([col(up_c_minc_maxc_s,2),col(up_c_minc_maxc_s,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(s),4),secondary,col(up_c_minc_maxc_s,9),rminc,26,4,t([col(up_c_minc_maxc_s,1),col(up_c_minc_maxc_s,2),col(up_c_minc_maxc_s,3)],[c,minc,maxc],[_14823,_14827,_14831],polynom([monome([t(_14823,1),t(_14831,1)],1),monome([t(_14823,1),t(_14827,1)],-1),monome([t(_14831,1)],-1),monome([t(_14827,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,4,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),5),secondary,col(up_c_minc_maxc_s,12),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),6),secondary,col(up_c_minc_maxc_s,5),v,26,2,t([col(up_c_minc_maxc_s,1),col(up_c_minc_maxc_s,2),col(up_c_minc_maxc_s,9)],[c,minc,rminc],[_14823,_14827,_14831],polynom([monome([t(_14823,1),t(_14827,1)],1),monome([t(_14831,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),7),secondary,col(up_c_minc_maxc_s,7),maxs,26,1,t([col(up_c_minc_maxc_s,6)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),8),secondary,col(up_c_minc_maxc_s,10),omins,26,1,t([col(up_c_minc_maxc_s,5)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),9),secondary,col(up_c_minc_maxc_s,11),omaxs,26,1,t([col(up_c_minc_maxc_s,5)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),10),up,col(up_c_minc_maxc_s,4),s,26,1,t([col(up_c_minc_maxc_s,5)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_c_maxc_s,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),2),secondary,col(up_v_c_maxc_s,7),omins,26,1,t([col(up_v_c_maxc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),3),secondary,col(up_v_c_maxc_s,8),omaxs,26,1,t([col(up_v_c_maxc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),4),secondary,col(up_v_c_maxc_s,9),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),5),secondary,col(up_v_c_maxc_s,6),maxs,26,1,t([col(up_v_c_maxc_s,5)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),6),up,col(up_v_c_maxc_s,4),s,26,1,t([col(up_v_c_maxc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_c_maxs_s,5),mins,26,2,t([col(up_v_c_maxs_s,1),col(up_v_c_maxs_s,3)],[v,maxs],[_14809,_14813],if(eq(_14809,_14813),_14809,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),2),secondary,col(up_v_c_maxs_s,6),omins,26,9,t([col(up_v_c_maxs_s,1),col(up_v_c_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(max(_14813,2),1)],-1),monome([t(_14813,1)],1),monome([],1)]),polynom([monome([t(max(_14813,2),1)],1),monome([t(_14813,1)],-2),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),3),secondary,col(up_v_c_maxs_s,6),omins,26,6,t([col(up_v_c_maxs_s,1),col(up_v_c_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(in(_14813,1,1),1)],-1),monome([],1)]),polynom([monome([t(in(_14813,1,1),1)],1),monome([t(_14813,1)],-1),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),4),secondary,col(up_v_c_maxs_s,6),omins,26,5,t([col(up_v_c_maxs_s,1),col(up_v_c_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(in(_14813,1,1),1)],1),monome([t(_14813,1)],-1),monome([t(_14809,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),5),secondary,col(up_v_c_maxs_s,7),omaxs,26,2,t([col(up_v_c_maxs_s,1),col(up_v_c_maxs_s,3)],[v,maxs],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),6),secondary,col(up_v_c_maxs_s,8),os,26,3,t([col(up_v_c_maxs_s,3)],[maxs],[_14795],bool(0,0,and,1,[geq(_14795,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),7),secondary,col(up_v_c_maxs_s,8),os,26,1,t([col(up_v_c_maxs_s,3)],[maxs],[_14795],bool(1,0,and,1,[eq(_14795,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),8),up,col(up_v_c_maxs_s,4),s,26,3,t([col(up_v_c_maxs_s,1),col(up_v_c_maxs_s,3)],[v,maxs],[_14809,_14813],polynom([monome([t(_14813,1)],-1),monome([t(_14809,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),9),up,col(up_v_c_maxs_s,4),s,26,3,t([col(up_v_c_maxs_s,5),col(up_v_c_maxs_s,6),col(up_v_c_maxs_s,8)],[mins,omins,os],[_14823,_14827,_14831],polynom([monome([t(floor(_14827,_14823),1)],1),monome([t(_14831,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),secondary,col(up_v_c_minc_s,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),2),secondary,col(up_v_c_minc_s,8),rminc,26,2,t([col(up_v_c_minc_s,1),col(up_v_c_minc_s,2),col(up_v_c_minc_s,3)],[v,c,minc],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),3),secondary,col(up_v_c_minc_s,9),omins,26,1,t([col(up_v_c_minc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),4),secondary,col(up_v_c_minc_s,10),omaxs,26,1,t([col(up_v_c_minc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),5),secondary,col(up_v_c_minc_s,11),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),6),secondary,col(up_v_c_minc_s,6),maxs,26,1,t([col(up_v_c_minc_s,5)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),7),secondary,col(up_v_c_minc_s,7),minmaxc,26,2,t([col(up_v_c_minc_s,3),col(up_v_c_minc_s,8)],[minc,rminc],[_14809,_14813],if(eq(_14813,0),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(s),8),up,col(up_v_c_minc_s,4),s,26,1,t([col(up_v_c_minc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_c_mins_s,5),os,14,3,t([col(up_v_c_mins_s,1),col(up_v_c_mins_s,3)],[v,mins],[_14809,_14813],if(eq(_14813,1),0,floor(_14809,_14813))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([floor]))]).
conjecture(id(graph,up(s),2),up,col(up_v_c_mins_s,4),s,14,1,t([col(up_v_c_mins_s,1),col(up_v_c_mins_s,3)],[v,mins],[_14809,_14813],polynom([monome([t(floor(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),secondary,col(up_v_maxc_maxs_s,5),mins,26,2,t([col(up_v_maxc_maxs_s,1),col(up_v_maxc_maxs_s,3)],[v,maxs],[_14809,_14813],if(eq(_14809,_14813),_14809,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),2),secondary,col(up_v_maxc_maxs_s,6),omins,26,9,t([col(up_v_maxc_maxs_s,1),col(up_v_maxc_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(max(_14813,2),1)],-1),monome([t(_14813,1)],1),monome([],1)]),polynom([monome([t(max(_14813,2),1)],1),monome([t(_14813,1)],-2),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),3),secondary,col(up_v_maxc_maxs_s,6),omins,26,6,t([col(up_v_maxc_maxs_s,1),col(up_v_maxc_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(in(_14813,1,1),1)],-1),monome([],1)]),polynom([monome([t(in(_14813,1,1),1)],1),monome([t(_14813,1)],-1),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),4),secondary,col(up_v_maxc_maxs_s,6),omins,26,5,t([col(up_v_maxc_maxs_s,1),col(up_v_maxc_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(in(_14813,1,1),1)],1),monome([t(_14813,1)],-1),monome([t(_14809,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),5),secondary,col(up_v_maxc_maxs_s,7),omaxs,26,2,t([col(up_v_maxc_maxs_s,1),col(up_v_maxc_maxs_s,3)],[v,maxs],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),6),secondary,col(up_v_maxc_maxs_s,8),os,26,3,t([col(up_v_maxc_maxs_s,3)],[maxs],[_14795],bool(0,0,and,1,[geq(_14795,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),7),secondary,col(up_v_maxc_maxs_s,8),os,26,1,t([col(up_v_maxc_maxs_s,3)],[maxs],[_14795],bool(1,0,and,1,[eq(_14795,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),8),up,col(up_v_maxc_maxs_s,4),s,26,3,t([col(up_v_maxc_maxs_s,1),col(up_v_maxc_maxs_s,3)],[v,maxs],[_14809,_14813],polynom([monome([t(_14813,1)],-1),monome([t(_14809,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),9),up,col(up_v_maxc_maxs_s,4),s,26,3,t([col(up_v_maxc_maxs_s,5),col(up_v_maxc_maxs_s,6),col(up_v_maxc_maxs_s,8)],[mins,omins,os],[_14823,_14827,_14831],polynom([monome([t(floor(_14827,_14823),1)],1),monome([t(_14831,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),secondary,col(up_v_minc_maxc_s,5),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,up(s),2),secondary,col(up_v_minc_maxc_s,7),minmaxc,26,2,t([col(up_v_minc_maxc_s,2),col(up_v_minc_maxc_s,3)],[minc,maxc],[_14809,_14813],if(eq(_14809,_14813),0,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,up(s),3),secondary,col(up_v_minc_maxc_s,8),omins,26,1,t([col(up_v_minc_maxc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),4),secondary,col(up_v_minc_maxc_s,9),omaxs,26,1,t([col(up_v_minc_maxc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),5),secondary,col(up_v_minc_maxc_s,10),os,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,up(s),6),secondary,col(up_v_minc_maxc_s,6),maxs,26,1,t([col(up_v_minc_maxc_s,5)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),7),up,col(up_v_minc_maxc_s,4),s,26,1,t([col(up_v_minc_maxc_s,1)],[v],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,up(s),1),secondary,col(up_v_minc_maxs_s,5),mins,26,2,t([col(up_v_minc_maxs_s,1),col(up_v_minc_maxs_s,3)],[v,maxs],[_14809,_14813],if(eq(_14809,_14813),_14809,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),2),secondary,col(up_v_minc_maxs_s,6),omins,26,9,t([col(up_v_minc_maxs_s,1),col(up_v_minc_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(max(_14813,2),1)],-1),monome([t(_14813,1)],1),monome([],1)]),polynom([monome([t(max(_14813,2),1)],1),monome([t(_14813,1)],-2),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),3),secondary,col(up_v_minc_maxs_s,6),omins,26,6,t([col(up_v_minc_maxs_s,1),col(up_v_minc_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(in(_14813,1,1),1)],-1),monome([],1)]),polynom([monome([t(in(_14813,1,1),1)],1),monome([t(_14813,1)],-1),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),4),secondary,col(up_v_minc_maxs_s,6),omins,26,5,t([col(up_v_minc_maxs_s,1),col(up_v_minc_maxs_s,3)],[v,maxs],[_14809,_14813],max(polynom([monome([t(in(_14813,1,1),1)],1),monome([t(_14813,1)],-1),monome([t(_14809,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),5),secondary,col(up_v_minc_maxs_s,7),omaxs,26,2,t([col(up_v_minc_maxs_s,1),col(up_v_minc_maxs_s,3)],[v,maxs],[_14809,_14813],if(eq(_14813,1),_14809,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(graph,up(s),6),secondary,col(up_v_minc_maxs_s,8),os,26,3,t([col(up_v_minc_maxs_s,3)],[maxs],[_14795],bool(0,0,and,1,[geq(_14795,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),7),secondary,col(up_v_minc_maxs_s,8),os,26,1,t([col(up_v_minc_maxs_s,3)],[maxs],[_14795],bool(1,0,and,1,[eq(_14795,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(graph,up(s),8),up,col(up_v_minc_maxs_s,4),s,26,3,t([col(up_v_minc_maxs_s,1),col(up_v_minc_maxs_s,3)],[v,maxs],[_14809,_14813],polynom([monome([t(_14813,1)],-1),monome([t(_14809,1)],1),monome([],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),9),up,col(up_v_minc_maxs_s,4),s,26,3,t([col(up_v_minc_maxs_s,5),col(up_v_minc_maxs_s,6),col(up_v_minc_maxs_s,8)],[mins,omins,os],[_14823,_14827,_14831],polynom([monome([t(floor(_14827,_14823),1)],1),monome([t(_14831,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),1),up,col(up_v_minc_mins_s,4),s,15,2,t([col(up_v_minc_mins_s,1),col(up_v_minc_mins_s,5)],[v,os],[_14809,_14813],if(eq(_14813,0),_14809,_14813)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(attr)]).
conjecture(id(graph,up(s),1),up,col(up_v_mins_maxs_s,4),s,16,4,t([col(up_v_mins_maxs_s,1),col(up_v_mins_maxs_s,2),col(up_v_mins_maxs_s,3)],[v,mins,maxs],[_14809,_14813,_14817],floor(polynom([monome([t(_14817,1)],-1),monome([t(_14813,1)],1),monome([t(_14809,1)],1)]),polynom([monome([t(_14813,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,up(s),2),up,col(up_v_mins_maxs_s,4),s,16,4,t([col(up_v_mins_maxs_s,1),col(up_v_mins_maxs_s,3),col(up_v_mins_maxs_s,5)],[v,maxs,os],[_14809,_14813,_14817],max(polynom([monome([t(_14813,1),t(_14817,1)],-1),monome([t(_14817,1)],1),monome([t(_14809,1)],1)]),polynom([monome([t(_14817,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).

missing(up_v_mins_s,up,s).
missing(up_c_maxc_mins_s,col,os).
missing(up_v_c_mins_s,up,s).
missing(up_v_minc_mins_s,col,os).
missing(up_v_minc_mins_s,up,s).
missing(up_v_mins_maxs_s,col,os).
