% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_sum_squares,4),nval,30,1,t([col(low_n_m_sum_squares,2)],[m],[_14717],polynom([monome([t(_14717,1)],1)])),formula,[]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_sum_squares,5),min,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],polynom([monome([t(floor(_14731,_14735),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),3),secondary,col(low_n_m_sum_squares,6),max,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],polynom([monome([t(ceil(_14731,_14735),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),4),secondary,col(low_n_m_sum_squares,7),range,30,9,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],bool(0,0,and,1,[geq(_14731 mod _14735,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition0,low(sum_squares),5),secondary,col(low_n_m_sum_squares,7),range,30,7,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],bool(1,0,and,1,[eq(_14731 mod _14735,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition0,low(sum_squares),6),secondary,col(low_n_m_sum_squares,7),range,30,2,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],if(eq(_14731 mod _14735,0),0,1)),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(coef(-3,3))]).
conjecture(id(partition0,low(sum_squares),7),secondary,col(low_n_m_sum_squares,8),mid,30,0,t([],[],[],0),cst,[]).
conjecture(id(partition0,low(sum_squares),8),secondary,col(low_n_m_sum_squares,9),rmin,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],polynom([monome([t(_14731 mod _14735,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),9),secondary,col(low_n_m_sum_squares,10),omin,30,2,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],polynom([monome([t(cmod(_14735,_14731),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),10),secondary,col(low_n_m_sum_squares,11),omax,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],polynom([monome([t(fmod(_14731,_14735),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),11),secondary,col(low_n_m_sum_squares,13),oc,30,3,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],if(leq(_14731,prod(_14735,2)),minus(_14731,_14735),_14735)),cond,[cond(attr_leq_unary([prod(2,3)])),then(binary_term([minus])),else(attr)]).
conjecture(id(partition0,low(sum_squares),12),secondary,col(low_n_m_sum_squares,14),oc1,30,3,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14731,_14735],if(leq(prod(2,_14735),_14731),0,polynom([monome([t(_14735,1)],2),monome([t(_14731,1)],-1)]))),decomp,[decomp([families([cond_template([cond(7),then(1)]),else(formula)]),decomp(if(cond(7),then(1),else([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])))])]).
conjecture(id(partition0,low(sum_squares),13),secondary,col(low_n_m_sum_squares,7),range,30,0,t([col(low_n_m_sum_squares,9)],[rmin],[_14717],bool(1,0,and,1,[eq(_14717,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition0,low(sum_squares),14),secondary,col(low_n_m_sum_squares,14),oc1,30,2,t([col(low_n_m_sum_squares,5),col(low_n_m_sum_squares,10)],[min,omin],[_14731,_14735],if(eq(_14731,1),_14735,0)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(partition0,low(sum_squares),15),secondary,col(low_n_m_sum_squares,12),omid,30,1,t([col(low_n_m_sum_squares,8)],[mid],[_14717],polynom([monome([t(_14717,1)],1)])),formula,[]).
conjecture(id(partition0,low(sum_squares),16),low,col(low_n_m_sum_squares,3),sum_squares,30,3,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,5),col(low_n_m_sum_squares,9)],[n,min,rmin],[_14745,_14749,_14753],polynom([monome([t(_14749,1),t(_14753,1)],1),monome([t(_14745,1),t(_14749,1)],1),monome([t(_14753,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_max_sum_squares,5),nval,14,4,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,3)],[n,m,max],[_14763,_14767,_14771],min(_14767,polynom([monome([t(_14771,1)],-1),monome([t(_14763,1)],1),monome([],1)]))),decomp,[decomp([families([unary_template([binary(3),unary(0)]),rest(formula)]),decomp(binary_op(min),[unary_template(_14767),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_max_sum_squares,6),min,14,7,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,3)],[n,m,max],[_14763,_14767,_14771],if(eq(_14763,prod(_14767,_14771)),_14771,floor(polynom([monome([t(_14771,1)],-1),monome([t(_14763,1)],1)]),minus(_14767,1)))),decomp,[decomp([decomp,[decomp([families([cond_template([cond(6),then(2)]),else(decomp)]),decomp(if(cond(6),then(2),else([decomp([families([unary_template([binary(7),unary(0)]),rest(formula)]),decomp(binary_op(rfloor),[unary_template(minus(_15015,1)),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])])))])]])]).
conjecture(id(partition0,low(sum_squares),3),secondary,col(low_n_m_max_sum_squares,7),range,14,6,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,3)],[n,m,max],[_14763,_14767,_14771],if(eq(_14763,prod(_14767,_14771)),0,ceil(polynom([monome([t(_14767,1),t(_14771,1)],1),monome([t(_14763,1)],-1)]),polynom([monome([t(_14767,1)],1),monome([],-1)])))),decomp,[decomp([families([cond_template([cond(6),then(1)]),else(decomp)]),decomp(if(cond(6),then(1),else([decomp([formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]])])))])]).
conjecture(id(partition0,low(sum_squares),4),secondary,col(low_n_m_max_sum_squares,11),omax,14,4,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,3)],[n,m,max],[_14763,_14767,_14771],max(polynom([monome([t(_14767,1),t(_14771,1)],-1),monome([t(_14767,1)],1),monome([t(_14763,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),5),secondary,col(low_n_m_max_sum_squares,9),rmin,14,2,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,6)],[n,m,min],[_14763,_14767,_14771],polynom([monome([t(_14767,1),t(_14771,1)],-1),monome([t(_14763,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),6),secondary,col(low_n_m_max_sum_squares,10),omin,14,5,t([col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,7),col(low_n_m_max_sum_squares,9)],[m,range,rmin],[_14763,_14767,_14771],plus(_14763,plus(_14767,polynom([monome([t(_14771,1),t(min(_14771,1),1)],-1),monome([t(min(_14771,1),1)],-1)])))),decomp,[decomp([families([unary_template([binary(1),unary(0)]),rest(decomp)]),decomp(binary_op(plus),[unary_template(_14763),rest([decomp([families([unary_template([binary(1),unary(0)]),rest(formula)]),decomp(binary_op(plus),[unary_template(_14767),rest([nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])])])])])])])]).
conjecture(id(partition0,low(sum_squares),7),secondary,col(low_n_m_max_sum_squares,12),omid,14,3,t([col(low_n_m_max_sum_squares,7),col(low_n_m_max_sum_squares,9)],[range,rmin],[_14749,_14753],if(eq(_14749,1),0,minus(_14753,_14749))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(partition0,low(sum_squares),8),secondary,col(low_n_m_max_sum_squares,8),mid,14,6,t([col(low_n_m_max_sum_squares,6),col(low_n_m_max_sum_squares,12)],[min,omid],[_14749,_14753],prod(min(_14753,1),if(leq(_14749,3),plus(_14749,1),0))),decomp,[decomp([families([unary_template([binary(2),unary(3)]),rest(cond)]),decomp(binary_op(prod),[unary_template(min(_14753,1)),rest([cond(attr_leq_coef(coef(-3,3))),then(unary_term([plus(1,3)])),else(coef(-3,3))])])])]).
conjecture(id(partition0,low(sum_squares),9),secondary,col(low_n_m_max_sum_squares,8),mid,14,3,t([col(low_n_m_max_sum_squares,6),col(low_n_m_max_sum_squares,12)],[min,omid],[_14749,_14753],if(eq(_14753,0),0,plus(_14749,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([plus(1,3)]))]).
conjecture(id(partition0,low(sum_squares),10),low,col(low_n_m_max_sum_squares,4),sum_squares,14,5,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,6),col(low_n_m_max_sum_squares,7),col(low_n_m_max_sum_squares,9)],[n,min,range,rmin],[_14777,_14781,_14785,_14789],polynom([monome([t(_14785,2)],1),monome([t(_14781,1),t(_14789,1)],1),monome([t(_14777,1),t(_14781,1)],1),monome([t(_14789,1)],1),monome([t(_14785,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,5,5),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_min_sum_squares,5),nval,13,3,t([col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[m,min],[_14749,_14753],if(eq(_14753,0),minus(_14749,1),_14749)),cond,[cond(attr_eq_coef(coef(-3,3))),then(unary_term([minus(1,3)])),else(attr)]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_min_sum_squares,6),max,13,7,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14763,_14767,_14771],ceil(if(eq(_14763,_14771),_14763,minus(_14763,_14771)),plus(minus(_14767,1),bool(0,0,and,1,[eq(_14767,1)])))),decomp,[decomp([families([unary_template([binary(8),unary(0)]),slack(bool),rest(cond)]),decomp(binary_op(rceil),[unary_template(minus(_14767,1)),slack([bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]),rest([cond(attr_eq_attr),then(attr),else(binary_term([minus]))])])])]).
conjecture(id(partition0,low(sum_squares),3),secondary,col(low_n_m_min_sum_squares,7),range,13,6,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14763,_14767,_14771],if(eq(_14763,prod(_14767,_14771)),0,ceil(polynom([monome([t(_14767,1),t(_14771,1)],-1),monome([t(_14763,1)],1)]),polynom([monome([t(_14767,1)],1),monome([],-1)])))),decomp,[decomp([families([cond_template([cond(6),then(1)]),else(decomp)]),decomp(if(cond(6),then(1),else([decomp([formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]])])))])]).
conjecture(id(partition0,low(sum_squares),4),secondary,col(low_n_m_min_sum_squares,9),rmin,13,2,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14763,_14767,_14771],polynom([monome([t(_14767,1),t(_14771,1)],-1),monome([t(_14763,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),5),secondary,col(low_n_m_min_sum_squares,10),omin,13,4,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14763,_14767,_14771],max(polynom([monome([t(_14767,1),t(_14771,1)],1),monome([t(_14767,1)],1),monome([t(_14763,1)],-1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),6),secondary,col(low_n_m_min_sum_squares,13),oc,13,11,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14763,_14767,_14771],min(polynom([monome([t(geq(_14771,2),1)],1),monome([t(_14767,1)],1),monome([],-1)]),polynom([monome([t(geq(_14771,2),1)],2),monome([t(_14771,1)],-1),monome([t(_14767,1)],-1),monome([t(_14763,1)],1),monome([],1)]))),decomp,[decomp([formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]])]).
conjecture(id(partition0,low(sum_squares),7),secondary,col(low_n_m_min_sum_squares,13),oc,13,10,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14763,_14767,_14771],min(polynom([monome([t(geq(_14771,2),1)],1),monome([t(_14771,1)],-1),monome([t(_14767,1)],-1),monome([t(_14763,1)],1),monome([],1)]),polynom([monome([t(geq(_14771,2),1)],1),monome([t(_14767,1)],1),monome([],-1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),8),secondary,col(low_n_m_min_sum_squares,10),omin,13,3,t([col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,9)],[m,rmin],[_14749,_14753],if(leq(_14749,_14753),1,minus(_14749,_14753))),cond,[cond(attr_leq_attr),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(partition0,low(sum_squares),9),secondary,col(low_n_m_min_sum_squares,14),oc1,13,2,t([col(low_n_m_min_sum_squares,5),col(low_n_m_min_sum_squares,13)],[nval,oc],[_14749,_14753],polynom([monome([t(_14753,1)],-1),monome([t(_14749,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_nval_sum_squares,5),min,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14763,_14767,_14771],if(eq(_14767,_14771),floor(_14763,_14767),0)),decomp,[decomp([decomp,[decomp([cond,[cond(attr_eq_attr),then(binary_term([floor])),else(coef(-3,3))]])]])]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_nval_sum_squares,6),max,11,1,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14749,_14753],polynom([monome([t(ceil(_14749,_14753),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),3),secondary,col(low_n_m_nval_sum_squares,8),mid,11,21,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14763,_14767,_14771],prod(plus(min(minus(_14767,2),0),bool(0,0,and,2,[geq(minus(_14767,_14771),1),geq(_14763 mod _14771,1)])),if(eq(_14763 mod _14771,0),0,polynom([monome([t(floor(_14763,_14771),1)],1)])))),decomp,[decomp([families([unary_template([binary(2),unary(3)]),slack(bool),rest(decomp)]),decomp(binary_op(prod),[unary_template(min(minus(_14767,2),0)),slack([bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(1)])]),rest([decomp([families([cond_template([cond(5),then(1)]),else(formula)]),decomp(if(cond(5),then(1),else([nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])])))])])])])]).
conjecture(id(partition0,low(sum_squares),4),secondary,col(low_n_m_nval_sum_squares,8),mid,11,6,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14763,_14767,_14771],if(eq(_14763 mod _14771,0),0,if(eq(_14767,_14771),0,floor(_14763,_14771)))),decomp,[decomp([families([cond_template([cond(5),then(1)]),else(cond)]),decomp(if(cond(5),then(1),else([cond(attr_eq_attr),then(coef(-3,3)),else(binary_term([floor]))])))])]).
conjecture(id(partition0,low(sum_squares),5),secondary,col(low_n_m_nval_sum_squares,9),rmin,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14763,_14767,_14771],if(eq(_14767,_14771),_14763 mod _14767,_14763)),decomp,[decomp([decomp,[decomp([cond,[cond(attr_eq_attr),then(binary_term([mod])),else(attr)]])]])]).
conjecture(id(partition0,low(sum_squares),6),secondary,col(low_n_m_nval_sum_squares,10),omin,11,6,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14763,_14767,_14771],if(eq(_14767,_14771),cmod(_14767,_14763),minus(_14767,_14771))),decomp,[decomp([decomp,[decomp([cond,[cond(attr_eq_attr),then(binary_term([cmod,dmod])),else(binary_term([minus]))]])]])]).
conjecture(id(partition0,low(sum_squares),7),secondary,col(low_n_m_nval_sum_squares,11),omax,11,1,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14749,_14753],polynom([monome([t(fmod(_14749,_14753),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),8),secondary,col(low_n_m_nval_sum_squares,12),omid,11,19,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14763,_14767,_14771],prod(plus(min(minus(_14767,2),0),bool(0,0,and,2,[geq(minus(_14767,_14771),1),geq(_14763 mod _14771,1)])),polynom([monome([t(fmod(_14763,_14771),1)],-1),monome([t(_14771,1)],1)]))),decomp,[decomp([families([unary_template([binary(2),unary(3)]),slack(bool),rest(formula)]),decomp(binary_op(prod),[unary_template(min(minus(_14767,2),0)),slack([bool([neg(0),op([and]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(1)])]),rest([nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(partition0,low(sum_squares),9),secondary,col(low_n_m_nval_sum_squares,12),omid,11,7,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14763,_14767,_14771],if(eq(_14763 mod _14771,0),0,if(eq(_14767,_14771),0,cmod(_14771,_14763)))),decomp,[decomp([families([cond_template([cond(5),then(1)]),else(cond)]),decomp(if(cond(5),then(1),else([cond(attr_eq_attr),then(coef(-3,3)),else(binary_term([cmod,dmod]))])))])]).
conjecture(id(partition0,low(sum_squares),10),secondary,col(low_n_m_nval_sum_squares,13),oc,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14749,_14753],if(leq(_14749,prod(_14753,2)),minus(_14749,_14753),_14753)),cond,[cond(attr_leq_unary([prod(2,3)])),then(binary_term([minus])),else(attr)]).
conjecture(id(partition0,low(sum_squares),11),secondary,col(low_n_m_nval_sum_squares,14),oc1,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14749,_14753],if(leq(prod(2,_14753),_14749),0,polynom([monome([t(_14753,1)],2),monome([t(_14749,1)],-1)]))),decomp,[decomp([families([cond_template([cond(7),then(1)]),else(formula)]),decomp(if(cond(7),then(1),else([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])])))])]).
conjecture(id(partition0,low(sum_squares),12),secondary,col(low_n_m_nval_sum_squares,8),mid,11,3,t([col(low_n_m_nval_sum_squares,6),col(low_n_m_nval_sum_squares,12)],[max,omid],[_14749,_14753],if(eq(_14753,0),0,minus(_14749,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(partition0,low(sum_squares),13),secondary,col(low_n_m_nval_sum_squares,10),omin,11,2,t([col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3),col(low_n_m_nval_sum_squares,9)],[m,nval,rmin],[_14763,_14767,_14771],polynom([monome([t(min(_14767,_14771),1)],-1),monome([t(_14763,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),14),secondary,col(low_n_m_nval_sum_squares,7),range,11,2,t([col(low_n_m_nval_sum_squares,5),col(low_n_m_nval_sum_squares,6)],[min,max],[_14749,_14753],polynom([monome([t(_14753,1)],1),monome([t(_14749,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),15),low,col(low_n_m_nval_sum_squares,4),sum_squares,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,6),col(low_n_m_nval_sum_squares,11)],[n,max,omax],[_14763,_14767,_14771],polynom([monome([t(_14767,1),t(_14771,1)],1),monome([t(_14763,1),t(_14767,1)],1),monome([t(_14763,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).

missing(low_n_m_max_sum_squares,col,oc).
missing(low_n_m_max_sum_squares,col,oc1).
missing(low_n_m_min_sum_squares,col,mid).
missing(low_n_m_min_sum_squares,col,omax).
missing(low_n_m_min_sum_squares,col,omid).
missing(low_n_m_min_sum_squares,low,sum_squares).
missing(low_n_m_range_sum_squares,low,sum_squares).
